require "rails_helper"

RSpec.describe Settings::TaxProfilesController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/settings/tax_profiles").to route_to("settings/tax_profiles#index")
    end

    it "routes to #new" do
      expect(:get => "/settings/tax_profiles/new").to route_to("settings/tax_profiles#new")
    end

    it "routes to #show" do
      expect(:get => "/settings/tax_profiles/1").to route_to("settings/tax_profiles#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/settings/tax_profiles/1/edit").to route_to("settings/tax_profiles#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/settings/tax_profiles").to route_to("settings/tax_profiles#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/settings/tax_profiles/1").to route_to("settings/tax_profiles#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/settings/tax_profiles/1").to route_to("settings/tax_profiles#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/settings/tax_profiles/1").to route_to("settings/tax_profiles#destroy", :id => "1")
    end

  end
end
